Assign Clarity Landscape Capture Request
curl --request PATCH \
--url https://api.duvo.ai/v2/clarity/hierarchy/nodes/{nodeId}/capture-requests/{requestId}/assign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.duvo.ai/v2/clarity/hierarchy/nodes/{nodeId}/capture-requests/{requestId}/assign"
payload = { "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.duvo.ai/v2/clarity/hierarchy/nodes/{nodeId}/capture-requests/{requestId}/assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestedUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestedUserName": "<string>",
"requestedTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestedTeamName": "<string>",
"gap": "<string>",
"prompt": "<string>",
"createdAt": "<string>",
"assignedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Clarity
Assign Clarity Landscape Capture Request
Assign an open Process Landscape capture request to a team member, or unassign it by sending userId: null (manager+).
PATCH
/
v2
/
clarity
/
hierarchy
/
nodes
/
{nodeId}
/
capture-requests
/
{requestId}
/
assign
Assign Clarity Landscape Capture Request
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Body
application/json
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I